org.apache.geode

## Interface StatisticsType

-     public interface StatisticsType

  Used to describe a logical collection of statistics. These descriptions are used to create an instance of `Statistics`.

  To get an instance of this interface use an instance of `StatisticsFactory`.

  Since:
    GemFire 3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Returns a description of this statistics type
    `java.lang.String` | `getName()` Returns the name of this statistics type
    `StatisticDescriptor[]` | `getStatistics()` Returns descriptions of the statistics that this statistics type gathers together
    `StatisticDescriptor` | `nameToDescriptor(java.lang.String name)` Returns the descriptor of the statistic with the given name in this statistics instance.
    `int` | `nameToId(java.lang.String name)` Returns the id of the statistic with the given name in this statistics instance.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the name of this statistics type

    - #### getDescription

          java.lang.String getDescription()

      Returns a description of this statistics type

    - #### getStatistics

          StatisticDescriptor[] getStatistics()

      Returns descriptions of the statistics that this statistics type gathers together

    - #### nameToId

          int nameToId(java.lang.String name)

      Returns the id of the statistic with the given name in this statistics instance.
      Throws:
        `java.lang.IllegalArgumentException` - No statistic named `name` exists in this statistics instance.

    - #### nameToDescriptor

          StatisticDescriptor nameToDescriptor(java.lang.String name)

      Returns the descriptor of the statistic with the given name in this statistics instance.
      Throws:
        `java.lang.IllegalArgumentException` - No statistic named `name` exists in this statistics instance.